Let's encrypt v181 fails to start

letsencrypt

#1

Hey guys,

First all, thanks for the awesome work you are doing !!

I’ve just updated my lets encrypt container, and this log message is displayed:

nginx: [emerg] module “/var/lib/nginx/modules/ndk_http_module.so” version 1014001 instead of 1014000 in /etc/nginx/modules/devel_kit.conf:1

Complete log: (I’ve redacted, my personnal data)

ErrorWarningSystemArrayLogin

[s6-init] making user provided files available at /var/run/s6/etc…exited 0.
[s6-init] ensuring user provided files have correct perms…exited 0.
[fix-attrs.d] applying ownership & permissions fixes…
[fix-attrs.d] done.
[cont-init.d] executing container initialization scripts…
[cont-init.d] 10-adduser: executing…


_ ()
| | ___ _ __
| | / | | | /
| | _
\ | | | () |
|| |
/ || __/

Brought to you by linuxserver.io
We gratefully accept donations at:
https://www.linuxserver.io/donate/

GID/UID

User uid: 99
User gid: 100

[cont-init.d] 10-adduser: exited 0.
[cont-init.d] 20-config: executing…
[cont-init.d] 20-config: exited 0.
[cont-init.d] 30-keygen: executing…
using keys found in /config/keys
[cont-init.d] 30-keygen: exited 0.
[cont-init.d] 50-config: executing…
Variables set:
PUID=99
PGID=100
TZ=Europe/Paris
URL=---------.com
SUBDOMAINS=---------
EXTRA_DOMAINS=
ONLY_SUBDOMAINS=true
DHLEVEL=2048
VALIDATION=http
DNSPLUGIN=
EMAIL=---------@gmail.com
STAGING=

2048 bit DH parameters present
SUBDOMAINS entered, processing
SUBDOMAINS entered, processing
Only subdomains, no URL in cert
Sub-domains processed are: -d /---------.com
E-mail address entered: ---------@gmail.com
http validation is selected
Certificate exists; parameters unchanged; attempting renewal
<------------------------------------------------->

<------------------------------------------------->
cronjob running on Thu Nov 8 22:46:41 CET 2018
Running certbot renew
Saving debug log to /var/log/letsencrypt/letsencrypt.log


Processing /etc/letsencrypt/renewal/---------.com.conf


Cert not yet due for renewal


The following certs are not due for renewal yet:
/etc/letsencrypt/live//---------…com/fullchain.pem expires on 2018-12-19 (skipped)
No renewals were attempted.
No hooks were run.


[cont-init.d] 50-config: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
nginx: [emerg] module “/var/lib/nginx/modules/ndk_http_module.so” version 1014001 instead of 1014000 in /etc/nginx/modules/devel_kit.conf:1

Server ready
nginx: [emerg] module “/var/lib/nginx/modules/ndk_http_module.so” version 1014001 instead of 1014000 in /etc/nginx/modules/devel_kit.conf:1

nginx: [emerg] module “/var/lib/nginx/modules/ndk_http_module.so” version 1014001 instead of 1014000 in /etc/nginx/modules/devel_kit.conf:1

nginx: [emerg] module “/var/lib/nginx/modules/ndk_http_module.so” version 1014001 instead of 1014000 in /etc/nginx/modules/devel_kit.conf:1


#2

Pushed a new build to address that. Please update again


#3

Fixed !!
Kudos for the quick fix :+1:


#4

This topic was automatically closed 5 days after the last reply. New replies are no longer allowed.